Subject: [dhcwg] what's the DHCP's timeout ?

From: coffee_ccc <[email-masked]>
Date: Mon, 6 Aug 2007 15:08:14 +0800 (CST)

Hi,all :
   Thank you for reading.
   I want to know the timeout in dhcp protocal?
   And I found little useful infomation in RFC 2131 & 2132 & so on .
  Even I don't konw the title(dhcp's timeout) whether right or not ?
 
  For example :  A ask for a IP addr from DHCP Server and how long it will  timeout if the Server has something wrong.
  Thanks for any reply.

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "David W. Hankins" <[email-masked]>
Date: Mon, 6 Aug 2007 08:02:41 -0700

>   Even I don't konw the title(dhcp's timeout) whether right or not ?

It depends largely on what state the client is in.  You can find
the general guidance in section 4.1 ("use an exponential backoff"),
but for example there are special rules for clients who never
received DHCPOFFERs, clients responding to DHCPOFFERs, and clients who
are RENEWING or REBINDING.

-- 
Ash bugud-gul durbatuluk agh burzum-ishi krimpatul.
Why settle for the lesser evil?	 https://secure.isc.org/store/t-shirt/
-- 
David W. Hankins	"If you don't do it right the first time,
Software Engineer		     you'll just have to do it again."
Internet Systems Consortium, Inc.		-- Jack T. Hankins
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg